ata_scsi_set_sense
Prev | Chapter 6. libata SCSI translation/emulation | Next

## Name

ata_scsi_set_sense — Set SCSI sense data and status

## Synopsis

`void ata_scsi_set_sense (` | struct scsi_cmnd * | cmd,
| u8 | sk,
| u8 | asc,
| u8 | ascq`)`;

## Arguments

`cmd`

  SCSI request to be handled

`sk`

  SCSI-defined sense key

`asc`

  SCSI-defined additional sense code

`ascq`

  SCSI-defined additional sense code qualifier

## Description

Helper function that builds a valid fixed format, current response code and the given sense key (sk), additional sense code (asc) and additional sense code qualifier (ascq) with a SCSI command status of `SAM_STAT_CHECK_CONDITION` and

## DRIVER_SENSE set in the upper bits of scsi_cmnd

:result .

## LOCKING

Not required

Prev | Up | Next
ata_scsiop_report_luns | Home | ata_scsi_badcmd